# https://taskfile.dev

version: '3'

vars:
  GREETING: Hello, World!

tasks:
  default:
    cmds:
      - echo "{{.GREETING}}"
    silent: true
  dev:
    desc: "Запуск для отладки интерпретатора"
    cmds:
      - clear
      - go fmt ./...
      - go run -race ./cmd/proi/main.go
    env:
      MAIN_PROLET: ./plt/main.plt
  ollama:
    desc: "Запуск LLM под мою конфигурацию железа"
    cmds:
      - "ollama run qwen3:8b"
    vars:
     OMP_NUM_THREADS: 16
     OMP_PROC_BIND: true
     OMP_PLACES: cores
